# Creating a farm

## Prerequisite(s)

* A deployed single rewards or multi-rewards farm
* A reward token for your new farm

## Setup

* Visit <https://romulus.page/deploy>
* Pick `StakingRewards`
* Specify a wallet or multi-sig in your control as the `owner`
  * Owners have admin privileges like updating RewardsDistribution and RescueERC20
* Specify a wallet or multi-sig in your control as the `rewardsDistribution`
* Specify the reward token for this new farm as the `rewardsToken`
  * If you want a XX + UBE rewards farm, this is the XX token address
* Specify the deployed single rewards or multi-rewards farm as the `externalStakingRewards`
  * If you want a XX + UBE rewards farm, this is the UBE rewards farm address
* Specify every external reward token in `externalRewardsTokens`

  * If you want a XX + YY + UBE rewards farm, this is the XX and YY reward tokens

## Refreshing rewards

* Visit [https://romulus.page/rewards/\<farm-address>](https://romulus.page/rewards/0xefe2f9d62e45815837b4f20c1f44f0a83605b540)
* Send the number of reward tokens to this farm that you'd like to reward for a week
* Notify the **same** number of reward tokens to this farm that you'd like to reward for this week

NOTE: It's ok if you send more than you need. However, be careful about notifying more than once in a single week as the rewards will stack up.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ubeswap.org/import-farms/creating-a-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
